1

Тема: Какую версию лучше выбрать?

Подскажите, какую версию phpmyadmin лучше скачать? У вас на сайте их несколько. В чем их разница?

2

Re: Какую версию лучше выбрать?

Den
На сайте предлагается 3 варианта: последняя стабильная версия, последняя бета версия, и самая последняя - CVS-снимок.

Советую устанавливать самую последнюю версию - CVS-снимок (он обновляется раз в сутки), т.к. каждый день разработчики исправляют какие-то баги, опечатки, оптимизируют код, редактируют сообщения. Так, например, по заявлению разработчиков в первой бете 2.8.0 исправлено более 55 багов, добавлены новые опции.

Нет неразрешимых проблем, есть неприятные решения. (Э. Борн)

3

Re: Какую версию лучше выбрать?

Если скачивать - чисто поглядеть, то конечно, CVS версию. На домашней машине я уже в течение года поддерживаю исходники в CVS состоянии. Однако, если использовать phpMyAdmin для чего-то бОльшего, например на хостинге или если он используется сразу несколькими юзерами, то лучше все-таки придерживаться stable ну или хотя бы beta-релизов.
Потому что в CVS иногда внедряют такие аццкие фичи, которые с первого раза не работают. Последним перлом было внедрение новой системы конфигов. Насколько я помню, это было два раза, и оба раза не хотело работать. Один раз я нашел и отрепортил баг самостоятельно, а во второй пришлось скачивать stable версию, лишь бы работало.

Особо критичных багов в phpMyAdmin уже не находят, а новые фичи такие незначительные, что можно за ними не гнаться. Основные большие изменения бывают только между релизами. Так что если не хочется чтоб в один прекрасный момент что-то перестало работать - качать stable.

4

Re: Какую версию лучше выбрать?

nullevent
Действительно, что-то радикальное появляется с выходом очередного релиза. В CVS же версиях доминируют исправления багов - как незначительных, так и серьезных, по мнению разработчиков.

К примеру, вчера "всплыл" баг #1428774: после запроса невозможно осуществить экспорт. По официальной структуризации ему был присвоен максимальный приоритет. Баг этот распространяется на стабильную версию 2.7.0-pl2. Вне всяких сомнений - разработчики устранят этот баг в самое ближайшее время и исправления будут внесены во все версии phpMyAdmin (в CVS, прежде всего).

О том насколько серьезен этот баг, каждый пользователь решает для себя сам. Если подобные баги расцениваются как "пустяковые" - оправдан подход, предложенный nullevent: устанавливать стабильные версии и при необходимости обновлять через некоторое время после выхода очередных релизов. Если нет, тогда - CVS версию.

Нет неразрешимых проблем, есть неприятные решения. (Э. Борн)